#include "StdAfx.h"
#include "Display.h"

Display::Display(HWND win)
{
	HDC hdc;
	RECT rc;
	hWnd=win;
	hdc=GetDC(hWnd);
	GetClientRect(hWnd, &rc);

}

Display::~Display(void)
{
}

void Display::DrawNode(TCHAR *text, int length, int x, int y, HDC hdc){
	PAINTSTRUCT ps;
	SIZE size;	
	GetTextExtentPoint32(hdc, text, length, &size);
	Rectangle(hdc, x, y, x+size.cx+2, y+size.cy+2);
	TextOut(hdc, x+1, y+1, text, length);	
}